Bug 161021 - Session-specific shortcuts do not show up in "Configure Shortcuts" dialog
Summary: Session-specific shortcuts do not show up in "Configure Shortcuts" dialog
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
: 167177 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-04-19 16:00 UTC by Vedran Furač
Modified: 2008-07-25 17:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vedran Furač 2008-04-19 16:00:54 UTC
Version:            (using Devel)
Installed from:    Compiled sources

In KDE4 konsole it is not possible to change default copy/paste (and maybe more) shortcuts like in older versions.
I also miss shortcuts for some actions (clear and reset, clear display, ...)
Comment 1 Robert Knight 2008-04-19 17:08:11 UTC
This is a bug.  None of the session-specific shortcuts appear in the Configure Shortcuts dialog as they should.  View-specific and other shortcuts do appear.
Comment 2 Robert Knight 2008-07-22 00:07:30 UTC
*** Bug 167177 has been marked as a duplicate of this bug. ***
Comment 3 Robert Knight 2008-07-25 17:05:32 UTC
SVN commit 837726 by knight:

Fix tab-specific actions (eg. Copy, Paste) not appearing in Configure Shortcuts dialog.
Add action collection for current controller to dialog before showing and reload UI
for other controllers after the dialog is accepted.

There is a known bug at the moment where changing a shortcut from a custom value to
the default shortcut only updates the current tab and tabs created after the change.
This is a kdelibs issue being looked into.

BUG: 161021
BACKPORT: 4.1


 M  +15 -2     MainWindow.cpp  
 M  +5 -0      SessionController.cpp  
 M  +7 -4      SessionController.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=837726
Comment 4 Robert Knight 2008-07-25 17:05:43 UTC
SVN commit 837727 by knight:

Sync shortcut changes between main windows by copying shortcuts between
action collections.  KXMLGUIClient::reloadXML() required
the client to be removed and re-inserted for it to have an effect.

CCBUG: 161021


 M  +21 -1     MainWindow.cpp  
 M  +4 -0      MainWindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=837727
Comment 5 Robert Knight 2008-07-25 17:05:57 UTC
SVN commit 837730 by knight:

* Avoid unneccessarily updating shortcuts for active main window after accepting
  'Configure Shortcuts' dialog
* Reload XML file for current controller as well as inactive controllers

CCBUG: 161021


 M  +7 -10     MainWindow.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=837730